Package com.xebialabs.xlrelease.domain.delivery

## Class SubscriptionResult$

- java.lang.Object
- - com.xebialabs.xlrelease.domain.delivery.SubscriptionResult$

- All Implemented Interfaces:
    `java.io.Serializable`

      public class SubscriptionResult$
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static SubscriptionResult$` | `MODULE$` | Static reference to the singleton instance of this Scala object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SubscriptionResult$()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SubscriptionResult` | `apply​(SubscriptionStatus status, java.lang.String message)` |
    `SubscriptionResult` | `completed​(java.lang.String message)` |
    `SubscriptionResult` | `failed​(java.lang.String message)` |
    `SubscriptionResult` | `inProgress​(java.lang.String message)` |
    `java.lang.String` | `inProgress$default$1()` |
    `scala.Option<scala.Tuple2<SubscriptionStatus,​java.lang.String>>` | `unapply​(SubscriptionResult x$0)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MODULE$

          public static final SubscriptionResult$ MODULE$

      Static reference to the singleton instance of this Scala object.

  - ### Constructor Detail

    - #### SubscriptionResult$

          public SubscriptionResult$()

  - ### Method Detail

    - #### completed

          public SubscriptionResult completed​(java.lang.String message)

    - #### failed

          public SubscriptionResult failed​(java.lang.String message)

    - #### inProgress

          public SubscriptionResult inProgress​(java.lang.String message)

    - #### inProgress$default$1

          public java.lang.String inProgress$default$1()

    - #### apply

          public SubscriptionResult apply​(SubscriptionStatus status,
                                          java.lang.String message)

    - #### unapply

          public scala.Option<scala.Tuple2<SubscriptionStatus,​java.lang.String>> unapply​(SubscriptionResult x$0)